libzypp 17.37.10

request.h File Reference
`#include <zypp-curl/ng/network/networkrequesterror.h>`
`#include <zypp-curl/ng/network/TransferSettings>`
`#include <zypp-curl/ng/network/curlmultiparthandler.h>`
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/core/Url>`
`#include <zypp-core/zyppng/core/ByteArray>`
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp-core/zyppng/base/signals.h>`
`#include <zypp-core/base/Flags.h>`
`#include <zypp-core/ByteCount.h>`
`#include <optional>`
`#include <vector>`
`#include <chrono>`
`#include <any>`

Go to the source code of this file.

## Classes
class | zyppng::NetworkRequest
struct | zyppng::NetworkRequest::Timings

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media
namespace | zyppng

## Functions
| ZYPP_DECLARE_OPERATORS_FOR_FLAGS (zyppng::NetworkRequest::Options)

## Function Documentation

## ◆ ZYPP_DECLARE_OPERATORS_FOR_FLAGS()

ZYPP_DECLARE_OPERATORS_FOR_FLAGS | ( | zyppng::NetworkRequest::Options |  | ) |